// Code generated by go-swagger; DO NOT EDIT.

package users

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"
)

// UserRequestOKCode is the HTTP code returned for type UserRequestOK
const UserRequestOKCode int = 200

/*UserRequestOK JSONResponse struct

swagger:response userRequestOK
*/
type UserRequestOK struct {
	/*

	 */
	Description string `json:"description"`
	/*

	 */
	Status string `json:"status"`
}

// NewUserRequestOK creates UserRequestOK with default headers values
func NewUserRequestOK() *UserRequestOK {

	return &UserRequestOK{}
}

// WithDescription adds the description to the user request o k response
func (o *UserRequestOK) WithDescription(description string) *UserRequestOK {
	o.Description = description
	return o
}

// SetDescription sets the description to the user request o k response
func (o *UserRequestOK) SetDescription(description string) {
	o.Description = description
}

// WithStatus adds the status to the user request o k response
func (o *UserRequestOK) WithStatus(status string) *UserRequestOK {
	o.Status = status
	return o
}

// SetStatus sets the status to the user request o k response
func (o *UserRequestOK) SetStatus(status string) {
	o.Status = status
}

// WriteResponse to the client
func (o *UserRequestOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header description

	description := o.Description
	if description != "" {
		rw.Header().Set("description", description)
	}

	// response header status

	status := o.Status
	if status != "" {
		rw.Header().Set("status", status)
	}

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(200)
}
